about summary refs log tree commit diff
path: root/corepkgs/fetchurl/fetchurl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'corepkgs/fetchurl/fetchurl.sh')
-rw-r--r--corepkgs/fetchurl/fetchurl.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/corepkgs/fetchurl/fetchurl.sh b/corepkgs/fetchurl/fetchurl.sh
index a92092c6ee09..7b6243974d3f 100644
--- a/corepkgs/fetchurl/fetchurl.sh
+++ b/corepkgs/fetchurl/fetchurl.sh
@@ -1,3 +1,10 @@
 #! /bin/sh
 
-wget "$url" -O "$out"
+echo "downloading $url into $out..."
+wget "$url" -O "$out" || exit 1
+
+actual=$(md5sum -b $out | cut -c1-32)
+if ! test "$actual" == "$md5"; then
+    echo "hash is $actual, expected $md5"
+    exit 1
+fi